Bug 427081 - kscreensaver starts and hangs despite stand-by
kscreensaver starts and hangs despite stand-by
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 21:41 EST by Alexei Podtelezhnikov
Modified: 2008-01-24 08:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 08:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 155409 None None None Never

  None (edit)
Description Alexei Podtelezhnikov 2007-12-30 21:41:47 EST
Description of problem:
Try setting kpowersave monitor stand-by time before the time when kscreensaver 
activates. For example, set monitor stand-by for 1 min and kscreensaver for 2 
min. In 1 min, monitor goes into stand-by, kscreensaver immediately starts and 
then freezes in just a few seconds.

Everything works fine when stand-by follows kscreensaver.
This was observed from the launch of Fedora 8 through all the updates, but I 
got a handle on this only now.

How reproducible:
all the time with illogical kpowersave and kscreensaver settings

Workaround:
Use logical kpowersave and kscreensaver settings. This does not mean that this 
is a user's screw-up. It is a bug in kpowersave, which should prevent 
kscreensaver from even starting, I guess.
Comment 1 Alexei Podtelezhnikov 2008-01-09 12:42:18 EST
https://sourceforge.net/tracker/?func=detail&atid=700009&aid=1861223&group_id=124576

After the comment in the above upstream bugreport, I agree that this is rather 
a kscreensaver issue. After all kscreensaver should be able to see that the 
monitor is already in stand-by and just stay quiet. This is much less trouble 
than asking kpowersave and kscreensaver to negotiate their settings... 
Reassigning to kscreensaver (kdebase).
Comment 2 Alexei Podtelezhnikov 2008-01-10 11:55:47 EST
upsteam - http://bugs.kde.org/votes.cgi?action=show_bug&bug_id=155409
Comment 3 Rex Dieter 2008-01-24 08:58:26 EST
Thanks, we'll continue to track this upstream.

Note You need to log in before you can comment on or make changes to this bug.